import { Interval } from '@f2/at';
import { Logger } from '../logger';
export declare class LoggerPurger {
    private path;
    private maxSize;
    private maxAge;
    private _logger;
    private _purgeProcess;
    constructor(path: string, maxSize: number | undefined, maxAge: Interval | undefined);
    start(logger: Logger): void;
    stop(): void;
    private purge;
}
